.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

.navbar ul {
    list-style: none;
    display: flex;
}

.navbar li {
    margin-right: 20px;
    position: relative;
}

.navbar a {
    text-decoration: none;
    color: #fff;
    position: relative;
    transition: color 0.3s;
}

.navbar a::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: transparent;
    transition: background-color 0.3s;
}

.navbar a:hover {
    color: #9a9a9a;
}

.navbar a:hover::before {
    background-color: #9a9a9a;
}

@media (max-width: 768px) {
    .navbar {
        flex-direction: column;
        text-align: center;
    }

    .navbar ul {
        margin-top: 10px;
    }
}
